''***************************
''* Propeller Template V1.0 *
''*  Author: Peter Quello   *
''*  Started: 18 JUN 2006   *
''***************************

CON
  _clkmode      = xtal1 + pll16x
  _xinfreq      = 5_000_000
  center        = 1500
  stride        = 0
  tilt          = 1
  tright        = 1240
  tleft         = 1760
  sright        = 1300
  sleft         = 1700
VAR
  word pulses
OBJ
  servo :       "servo32"
  pause :       "pause"
PUB Start
  servo.set(stride, center)
  servo.set(tilt, center)
  pause.start
  servo.start

PUB WalkForward(cycles)
  TiltLeft 
  StrideStartR
  repeat cycles
    TiltCenterL
    TiltRight
    StrideForwardL
    TiltCenterR
    TiltLeft
    StrideForwardR
  TiltCenterL
  TiltRight
  StrideEndL
  return 
PUB TurnRight
  TiltRight
  StrideStartL
  TiltCenterL
  StrideEndR
  return
PUB TurnLeft
  TiltLeft
  StrideStartR
  TiltCenterR
  StrideEndL  
  return
PRI TiltRight
  repeat pulses from  center to tright
    servo.set(tilt, pulses)
    pause.pause(20)
  return
PRI TiltLeft
  repeat pulses from center to tleft
    servo.set(tilt, pulses)
    pause.pause(20)
  return
PRI TiltCenterR
  repeat pulses from tright to center
    servo.set(tilt, pulses)
    pause.pause(20)
  return
PRI TiltCenterL
  repeat pulses from tleft to center
    servo.set(tilt, pulses)
    pause.pause(20)
  return
PRI StrideForwardR
  repeat pulses from  sleft to sright
    servo.set(stride, pulses)
    pause.pause(20)
  return
PRI StrideForwardL
  repeat pulses from  sright to sleft
    servo.set(stride, pulses)
    pause.pause(20)
  return
PRI StrideBackwardR
  repeat pulses from  sright to sleft
    servo.set(stride, pulses)
    pause.pause(20)
  return
PRI StrideBackwardL
  repeat pulses from  sleft to sright
    servo.set(stride, pulses)
    pause.pause(20)
  return
PRI StrideEndR
  repeat pulses from sleft to center
    servo.set(stride, pulses)
    pause.pause(20)
  return
PRI StrideEndL
  repeat pulses from sright to center
    servo.set(stride, pulses)
    pause.pause(20)
  return
PRI StrideStartR
  repeat pulses from center to sright
    servo.set(stride, pulses)
    pause.pause(20)
  return
PRI StrideStartL
  repeat pulses from center to sleft
    servo.set(stride, pulses)
    pause.pause(20)
  return
PRI pausedel(delay)
  pause.pause(delay)
  return